File: metadata.yml

package info (click to toggle)
ruby-capybara 2.2.1-1~bpo70+1
  • links: PTS, VCS
  • area: main
  • in suites: wheezy-backports
  • size: 948 kB
  • sloc: ruby: 7,998; makefile: 4
file content (378 lines) | stat: -rw-r--r-- 11,893 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
--- !ruby/object:Gem::Specification
name: capybara
version: !ruby/object:Gem::Version
  version: 2.2.1
platform: ruby
authors:
- Jonas Nicklas
autorequire: 
bindir: bin
cert_chain:
- |
  -----BEGIN CERTIFICATE-----
  MIIDPDCCAiSgAwIBAgIBADANBgkqhkiG9w0BAQUFADBEMRYwFAYDVQQDDA1qb25h
  cy5uaWNrbGFzMRUwEwYKCZImiZPyLGQBGRYFZ21haWwxEzARBgoJkiaJk/IsZAEZ
  FgNjb20wHhcNMTMwMjE1MjE1NTM2WhcNMTQwMjE1MjE1NTM2WjBEMRYwFAYDVQQD
  DA1qb25hcy5uaWNrbGFzMRUwEwYKCZImiZPyLGQBGRYFZ21haWwxEzARBgoJkiaJ
  k/IsZAEZFgNjb20wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDb9AZj
  gNdUKIEFktnRTerfYsCqpAFY97qtTbruj4uEKJeyHRLR4FM3sUe4N6Yb48a3JLpA
  HQ1ELh5cSdJdyx8TEXmKscrqEcc2lXSgbkoFpyo6IAcEOSpC9vlAeyGpwkKI/+bP
  bWw3jV236q0Cr7aFMH6nmUvJJsadOwNyUYZWATqOt6X3QoLiEphf7SwhLzAZJr6f
  HhvjJ0Xo2y/LiJj9N0goOhUL6tC5ws5j4wxP8Z+YFY0Q7x7Q6RQBWcCUhc/GAWex
  0eXRj2QOTzVrrIOnPN1jqifnqqU30YoMFMh/e6o3x/ziYMn7zAbFXSbtXDKCK4BT
  3zGZgCiuecspHy9/AgMBAAGjOTA3MAkGA1UdEwQCMAAwHQYDVR0OBBYEFPb8+DY0
  fm9BZldc/eaKZxfI6XucMAsGA1UdDwQEAwIEsDANBgkqhkiG9w0BAQUFAAOCAQEA
  JtZrjd9Ds5rcBVP2L9vEa6F2oseq7ye8bavQo9Uh81fDCbVdnaZPhyMth5QhdIBL
  pG+uafCMAfgU0vQeNXnAzIxmltnP4+e3IwR0Oe21eUD6lSPSvCoIaQ2eDVxoHPPJ
  5NrJKxj2uuNV1yGLmVhXUFET0OkVvBgdxNmtbE2rRbxXjv5xqW6nBsgVAz0qSxB3
  9yDTZKW7++Em+yFufMlDr7+1rl8cTxv1Kj43Geu5LVz7n/lHYKAdje4uJ3eBtagI
  dwCI6mleXOr4MSRezf19ZUFr0CqlFcrpBSyOakStQLM8La3EAmhOEUa2UE2FIgq5
  R1SH1ni+3bH7B4tAkbWskg==
  -----END CERTIFICATE-----
date: 2014-01-06 00:00:00.000000000 Z
dependencies:
- !ruby/object:Gem::Dependency
  name: nokogiri
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 1.3.3
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 1.3.3
- !ruby/object:Gem::Dependency
  name: mime-types
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '1.16'
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '1.16'
- !ruby/object:Gem::Dependency
  name: rack
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 1.0.0
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 1.0.0
- !ruby/object:Gem::Dependency
  name: rack-test
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 0.5.4
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 0.5.4
- !ruby/object:Gem::Dependency
  name: xpath
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '2.0'
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '2.0'
- !ruby/object:Gem::Dependency
  name: selenium-webdriver
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '2.0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '2.0'
- !ruby/object:Gem::Dependency
  name: sinatra
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 0.9.4
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 0.9.4
- !ruby/object:Gem::Dependency
  name: rspec
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 2.2.0
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 2.2.0
- !ruby/object:Gem::Dependency
  name: launchy
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 2.0.4
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 2.0.4
- !ruby/object:Gem::Dependency
  name: yard
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 0.5.8
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 0.5.8
- !ruby/object:Gem::Dependency
  name: fuubar
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 0.0.1
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 0.0.1
- !ruby/object:Gem::Dependency
  name: cucumber
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 0.10.5
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: 0.10.5
- !ruby/object:Gem::Dependency
  name: rake
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - '>='
      - !ruby/object:Gem::Version
        version: '0'
description: Capybara is an integration testing tool for rack based web applications.
  It simulates how a user would interact with a website
email:
- jonas.nicklas@gmail.com
executables: []
extensions: []
extra_rdoc_files: []
files:
- lib/capybara/cucumber.rb
- lib/capybara/driver/base.rb
- lib/capybara/driver/node.rb
- lib/capybara/dsl.rb
- lib/capybara/helpers.rb
- lib/capybara/node/actions.rb
- lib/capybara/node/base.rb
- lib/capybara/node/document.rb
- lib/capybara/node/element.rb
- lib/capybara/node/finders.rb
- lib/capybara/node/matchers.rb
- lib/capybara/node/simple.rb
- lib/capybara/query.rb
- lib/capybara/rack_test/browser.rb
- lib/capybara/rack_test/css_handlers.rb
- lib/capybara/rack_test/driver.rb
- lib/capybara/rack_test/form.rb
- lib/capybara/rack_test/node.rb
- lib/capybara/rails.rb
- lib/capybara/result.rb
- lib/capybara/rspec/features.rb
- lib/capybara/rspec/matchers.rb
- lib/capybara/rspec.rb
- lib/capybara/selector.rb
- lib/capybara/selenium/driver.rb
- lib/capybara/selenium/node.rb
- lib/capybara/server.rb
- lib/capybara/session.rb
- lib/capybara/spec/fixtures/another_test_file.txt
- lib/capybara/spec/fixtures/capybara.jpg
- lib/capybara/spec/fixtures/test_file.txt
- lib/capybara/spec/public/jquery-ui.js
- lib/capybara/spec/public/jquery.js
- lib/capybara/spec/public/test.js
- lib/capybara/spec/session/all_spec.rb
- lib/capybara/spec/session/assert_selector.rb
- lib/capybara/spec/session/attach_file_spec.rb
- lib/capybara/spec/session/body_spec.rb
- lib/capybara/spec/session/check_spec.rb
- lib/capybara/spec/session/choose_spec.rb
- lib/capybara/spec/session/click_button_spec.rb
- lib/capybara/spec/session/click_link_or_button_spec.rb
- lib/capybara/spec/session/click_link_spec.rb
- lib/capybara/spec/session/current_scope_spec.rb
- lib/capybara/spec/session/current_url_spec.rb
- lib/capybara/spec/session/evaluate_script_spec.rb
- lib/capybara/spec/session/execute_script_spec.rb
- lib/capybara/spec/session/fill_in_spec.rb
- lib/capybara/spec/session/find_button_spec.rb
- lib/capybara/spec/session/find_by_id_spec.rb
- lib/capybara/spec/session/find_field_spec.rb
- lib/capybara/spec/session/find_link_spec.rb
- lib/capybara/spec/session/find_spec.rb
- lib/capybara/spec/session/first_spec.rb
- lib/capybara/spec/session/go_back_spec.rb
- lib/capybara/spec/session/go_forward_spec.rb
- lib/capybara/spec/session/has_button_spec.rb
- lib/capybara/spec/session/has_css_spec.rb
- lib/capybara/spec/session/has_field_spec.rb
- lib/capybara/spec/session/has_link_spec.rb
- lib/capybara/spec/session/has_select_spec.rb
- lib/capybara/spec/session/has_selector_spec.rb
- lib/capybara/spec/session/has_table_spec.rb
- lib/capybara/spec/session/has_text_spec.rb
- lib/capybara/spec/session/has_title_spec.rb
- lib/capybara/spec/session/has_xpath_spec.rb
- lib/capybara/spec/session/headers.rb
- lib/capybara/spec/session/html_spec.rb
- lib/capybara/spec/session/node_spec.rb
- lib/capybara/spec/session/reset_session_spec.rb
- lib/capybara/spec/session/response_code.rb
- lib/capybara/spec/session/save_page_spec.rb
- lib/capybara/spec/session/screenshot.rb
- lib/capybara/spec/session/select_spec.rb
- lib/capybara/spec/session/source_spec.rb
- lib/capybara/spec/session/text_spec.rb
- lib/capybara/spec/session/title_spec.rb
- lib/capybara/spec/session/uncheck_spec.rb
- lib/capybara/spec/session/unselect_spec.rb
- lib/capybara/spec/session/visit_spec.rb
- lib/capybara/spec/session/within_frame_spec.rb
- lib/capybara/spec/session/within_spec.rb
- lib/capybara/spec/session/within_window_spec.rb
- lib/capybara/spec/spec_helper.rb
- lib/capybara/spec/test_app.rb
- lib/capybara/spec/views/buttons.erb
- lib/capybara/spec/views/fieldsets.erb
- lib/capybara/spec/views/form.erb
- lib/capybara/spec/views/frame_child.erb
- lib/capybara/spec/views/frame_one.erb
- lib/capybara/spec/views/frame_parent.erb
- lib/capybara/spec/views/frame_two.erb
- lib/capybara/spec/views/header_links.erb
- lib/capybara/spec/views/host_links.erb
- lib/capybara/spec/views/popup_one.erb
- lib/capybara/spec/views/popup_two.erb
- lib/capybara/spec/views/postback.erb
- lib/capybara/spec/views/tables.erb
- lib/capybara/spec/views/with_base_tag.erb
- lib/capybara/spec/views/with_count.erb
- lib/capybara/spec/views/with_hover.erb
- lib/capybara/spec/views/with_html.erb
- lib/capybara/spec/views/with_html_entities.erb
- lib/capybara/spec/views/with_js.erb
- lib/capybara/spec/views/with_scope.erb
- lib/capybara/spec/views/with_simple_html.erb
- lib/capybara/spec/views/with_title.erb
- lib/capybara/spec/views/within_frames.erb
- lib/capybara/spec/views/within_popups.erb
- lib/capybara/version.rb
- lib/capybara.rb
- spec/basic_node_spec.rb
- spec/capybara_spec.rb
- spec/dsl_spec.rb
- spec/fixtures/selenium_driver_rspec_failure.rb
- spec/fixtures/selenium_driver_rspec_success.rb
- spec/rack_test_spec.rb
- spec/result_spec.rb
- spec/rspec/features_spec.rb
- spec/rspec/matchers_spec.rb
- spec/rspec_spec.rb
- spec/selenium_spec.rb
- spec/selenium_spec_chrome.rb
- spec/server_spec.rb
- spec/spec_helper.rb
- README.md
- History.md
- License.txt
homepage: http://github.com/jnicklas/capybara
licenses:
- MIT
metadata: {}
post_install_message: 
rdoc_options: []
require_paths:
- lib
required_ruby_version: !ruby/object:Gem::Requirement
  requirements:
  - - '>='
    - !ruby/object:Gem::Version
      version: 1.9.3
required_rubygems_version: !ruby/object:Gem::Requirement
  requirements:
  - - '>='
    - !ruby/object:Gem::Version
      version: '0'
requirements: []
rubyforge_project: capybara
rubygems_version: 2.0.6
signing_key: 
specification_version: 4
summary: Capybara aims to simplify the process of integration testing Rack applications,
  such as Rails, Sinatra or Merb
test_files: []
has_rdoc: